Subject: Re: Configuration-Problem ext-interrupt on mpc52xx

From: "S. Fricke" <[email-masked]>
Date: Wed, 19 Sep 2007 21:01:46 +0200

Hello,

> On 9/19/07, S. Fricke <[email-masked]> wrote:
> > Hi,
> >
> > how can i configure an "ext interrupt" to high-level? I want a interruption on
> > IRQ2, but I checked with an oscilloscope that the pin has a low state and I
> > needs a high state.
> >
> > I have tried, after I got the irq (with irq_of_parse_and_map), set it with
> >
> >     set_irq_type(irq, IRQ_TYPE_LEVEL_HIGH);
> >
> > But I think it is a system-configuration (irq_desc) and no
> > device-configuration.
> 
> You shouldn't need to do this.  You set your sense level in the device tree.
> 
> From your previous email, your device node looks like this:
> >             intpin@0 {
> >                 interrupt-parent = <500>;
> >                 interrupts = <1 2 2>;
> >             };
> 
> Which is IRQ2, EDGE_FALLING.
> 
> If you change your interrupts property to <1 2 0>, then your sense is
> set to LEVEL_HIGH.  (Seriously, you need to read the interrupts
> section of Documentation/powerpc/mpc52xx-device-tree-bindings.txt.)

I have read it! But another driver on Boot-time pulled my interrupt to low, I
can't do anything except for looking at the oscilloscope

I'm going to disable all unneeded drivers tomorrow morning.

TIA:
Silvio Fricke

-- 
-- S. Fricke ----------------------------- MAILTO:[email-masked] --
   Diplom-Informatiker (FH)
   Linux-Entwicklung
----------------------------------------------------------------------------